.sidebar {
  position: relative;
  width: 180px;
  margin: 0 70px 0 0;
}
.sidebar__header {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
}
.sidebar__label {
  font-size: 14px;
  font-weight: bold;
  margin: 0 0 12px;
}
.sidebar__toggler {
  position: relative;
  display: none;
  cursor: pointer;
  -webkit-box-align: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 0 44px 0 14px;
  height: 28px;
  background: var(--major-light);
  color: #fff;
  -moz-border-radius: var(--border-radius);
  border-radius: var(--border-radius);
}
.sidebar__toggler:after {
  position: absolute;
  top: 9px;
  right: 18px;
  width: 6px;
  height: 6px;
  border-top: 2px solid #fff;
  border-left: 2px solid #fff;
  -webkit-transform: rotate(225deg);
  -moz-transform: rotate(225deg);
  -ms-transform: rotate(225deg);
  transform: rotate(225deg);
  margin: auto;
  content: "";
}
.sidebar__toggler.active:after {
  top: 12px;
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}
.sidebar__all {
  margin: 0 0 3px;
}
.sidebar__items {
  padding: 0 0 0 4px;
}
.sidebar__items ul li {
  margin: 0 0 3px;
}
.sidebar__items ul li.active {
  display: block;
}
.sidebar__items ul li.current a {
  font-weight: bold;
  text-decoration: underline;
}
.sidebar__items a {
  color: var(--major);
  text-decoration: none;
}
.sidebar__items a:hover {
  text-decoration: underline;
  color: var(--major-hover);
}
.sidebar__letters {
  display: none;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  gap: 8px;
  padding: 0 0 16px;
}
.sidebar__letters div {
  cursor: pointer;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -moz-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  font-size: 12px;
  height: 22px;
  width: 22px;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
  background: var(--bg);
  -moz-border-radius: var(--border-radius);
  border-radius: var(--border-radius);
}
.sidebar__letters div.active {
  background: var(--major-light);
  color: #fff;
}
.sidebar__letters div:hover {
  text-decoration: underline;
}
.sidebar__by {
  display: none;
  color: var(--major);
  -webkit-box-align: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}
.sidebar__abc {
  display: none;
  text-decoration: none;
  cursor: pointer;
}
.sidebar__abc.active {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
}
.sidebar__abc span {
  display: -webkit-inline-box;
  display: -moz-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  background: var(--bg);
  padding: 0 4px;
  -moz-border-radius: var(--border-radius);
  border-radius: var(--border-radius);
  margin: 0 6px 0 0;
  font-weight: bold;
  text-decoration: none;
}
.sidebar__abc div {
  text-decoration: underline;
}
.sidebar__abc:hover div {
  text-decoration: none;
}
.sidebar__show-all {
  display: none;
  cursor: pointer;
}
.sidebar__show-all.active {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
}
.sidebar__show-all div {
  text-decoration: underline;
}
.sidebar__show-all:hover div {
  text-decoration: none;
}
@media all and (max-width: 1024px) {
  .sidebar {
    margin: 0 40px 0 0;
    width: 150px;
  }
}
@media all and (max-width: 768px) {
  .sidebar {
    width: 100%;
  }
  .sidebar__header {
    -webkit-box-pack: justify;
    -moz-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    margin: 0 0 16px;
  }
  .sidebar__label {
    display: none;
  }
  .sidebar__all {
    display: none;
  }
  .sidebar__letters.active {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
  }
  .sidebar__toggler {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
  }
  .sidebar__by {
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
  }
  .sidebar__items ul {
    -webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
  }
  .sidebar__items ul li {
    display: none;
  }
}